Plans

Add an image to a plan, optionally appended to a spec or the epic

POST
/v1/projects/{projectSlug}/plans/{planShortId}/images

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/plans/string/images"
{  "attachmentId": "96b9bbac-86d3-4497-9e0c-1f8e3803eddb",  "url": "string",  "markdown": "string",  "appendedTo": "string",  "revision": "string"}